## mupen64plus-core 1.99.4

=== debian/changelog ===
mupen64plus-core (1.99.4-4) unstable; urgency=low

  * debian/control:
    - Add virtual package libsdl-dev as alternative build dependency
  * Don't mix implicit and explicit rules to prevent FTBFS with make
    3.82
  * debian/patches:
    - Add new_minizip.patch, Import minizip from zlib 1.2.5
    - Add savestatepath_config.patch, Read option SaveStatePath from
      config when set
    - Update rewrite_makefile.patch and dejavu-font.patch; Fix
      installation of cheat database
    - Add double_percentage.patch, Don't print '%' twice in volume
      string
    - Add ftgl_fontrendering.patch, Replace builtin OGLFT with FTGL font
      rendering library
  * Remove hardening-includes which are now integrated in dpkg-
    buildflags
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 31 Oct 2011 12:48:50 +0100

mupen64plus-core (1.99.4-3) unstable; urgency=low

  * Upload to unstable
  * debian/control:
    - Fix spelling of "Flexible" (Closes: #633693)
    - Depend on pkg-config for new Makefile
  * debian/rules:
    - Mark all targets as phony
    - Force PIC using Makefile option
    - Remove unintended optimization flags
    - Automatically create the libmupen64plus.so.2 symlink
  * debian/patches:
    - Remove obsolete default-optimisations.patch
    - Rebase debian/patches/dejavu-font.patch
    - Add rewrite_makefile.patch, Rewrite Makefile to fix flags and
      linking
    - Add big_endian_conflict.patch, Don't use _BIG_ENDIAN to check for
      endianness
    - Add privilege_segfault.patch, Prevent segfault when
      .local/share/mupen64plus/ owned by root
    - Add info_configuration_failure.patch, Changed warning to info
      message when core can not open config
    - Add conflicting_symbol.patch, Don't define variable isGoldeneyeRom
      in each file
    - Add osd_memory_corruption.patch, Prevent data corruption with
      caller managed OSD text
    - Add allocate_mmap.patch, Allocate exec memory using mmap
    - Add interpreter_fpu_modes.patch, Use common fpu implementation for
      interpreter modes to fix missing
      round/trunc/ceil/floor/set_rounding
    - Add interpreter_rw_memory.patch, Don't require executable memory
      for cached interpreter
    - Add n64_cic_nus_6105.patch, use X-Scale's PIF-CIC algorithm
      instead of the hard-coded challenge-response pairs
    - Add mipmapping_doc.patch, Synchronize MipMapping options in
      Arachnoid and Rice

 -- Sven Eckelmann <sven@narfation.org>  Sun, 24 Jul 2011 14:23:31 +0200

mupen64plus-core (1.99.4-2) experimental; urgency=low

  * debian/patches:
    - Add rtc.patch, Add support for n64 internal clock
    - Add n64_romswap.patch, Fix swapping of n64 images
    - Add rjump_globber.patch. Prevent over-optimization of rjump
      related data
  * Upgraded to policy 3.9.2, no changes required
  * Update Vcs-* fields to new anonscm.debian.org URLs in debian/control
  * Add multiarch support (Closes: #623765)

 -- Sven Eckelmann <sven@narfation.org>  Sat, 11 Jun 2011 17:28:34 +0200

mupen64plus-core (1.99.4-1) experimental; urgency=low

  * New Upstream Version
  * Updated my maintainer e-mail address
  * Split source package to match upstreams modular release packages
  * debian/copyright:
    - Update to DEP5 revision 164
    - Update copyright years
  * debian/patches:
    - Add printf_fixup.patch, Correct usage of printf format strings
    - Add api_header.patch, Ensure all definition for front-ends is in
      public headers
    - Rebase default-optimisations.patch and dejavu-font.patch
      against 1.99.4
    - Remove upstream merged patches: as-needed.patch,
      correct_fpr32_mapping.patch, correct_security_printf.patch,
      debian-archs.patch, destdir.patch, dont-install-unneeded.patch,
      fix-7z-subfolder.patch, fix-desktop-file.patch,
      fix_r0_override.patch, fix_readpng.patch, ftbfs-debugger.patch,
      ftbfs-dynarec.patch, ftbfs-glibc210.patch,
      ftbfs-gvariant-type-conflicts.patch, ftbfs-kfreebsd.patch,
      glide64_hurd.patch, glide64-noasm.patch, gtk-open-filter.patch,
      interpreter_x86_fldcw.patch, jttl_fix_romclosed.patch,
      link_gdk.patch, load_aidacrate.patch, load_vistatus.patch,
      noexecstack.patch, optional_signinfo.patch, osd-pause-crash.patch,
      path_max.patch, pie_support.patch, plugin-searchpath.patch,
      remove-gln64.patch, remove-nondfsg-icons.patch,
      resume_on_start.patch, rice-ati-symbols.patch,
      rice-crash-vendorstring.patch, rice_fog.patch, rice_nodebug.patch,
      rice-screenflickering.patch, rice-texturepack-crash.patch,
      rsp_hle_bigendian.patch, rsp_ucode2_reset.patch,
      static-binutils-libs.patch, system-libbz2.patch,
      system-liblzma.patch, system-libpng.patch, system-zlib.patch,
      version-string.patch, xdg-basedir.patch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 22 Jan 2011 11:05:28 +0100

mupen64plus (1.5+dfsg1-14) experimental; urgency=low

  * Upgraded to policy 3.9.1, no changes required
  * Upgrade debhelper compat to v8
  * debian/rules:
    - set *FLAGS using dpkg-buildflags in debian/rules to work like
      dpkg-buildpackage when called directly
    - Use hardening-includes for CFLAGS and LDFLAGS hardened builds
    - Use externally provided LDFLAGS
    - Disable support for debugger due to missing pic/pie support of
      libopcodes.a
  * debian/patches:
    - Add correct_security_printf.patch, Correct possible printf format
      string vulnerability
    - Add pie_support.patch, Add support for PIE/PIC

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 Sep 2010 13:52:32 +0200

mupen64plus (1.5+dfsg1-13) unstable; urgency=low

  * debian/patches:
    - Add path_max.patch, Add dummy PATH_MAX on systems without it
      (Closes: #588066)
    - Add optional_signinfo.patch, Only use siginfo subsystem if system
      offers it (Closes: #588066)
    - Add glide64_hurd.patch, Define GNU/Hurd as UNIX system for glide64

