=== debian/control ===
Source: mupen64plus-core
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-core.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-core.git
Build-Depends:
 binutils-dev,
 debhelper (>= 8.1.3),
 dpkg-dev (>= 1.16.0),
 libftgl-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libpng12-dev | libpng-dev,
 libsdl1.2-dev | libsdl-dev,
 pkg-config,
 zlib1g-dev | libz-dev,

Package: libmupen64plus2
Section: libs
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ttf-dejavu-core,
Breaks: mupen64plus (<< 1.99.1)
Replaces: mupen64plus (<< 1.99.1)
Provides:
 mupen64plus-audio-abi-1,
 mupen64plus-core-abi-1,
 mupen64plus-input-abi-1,
 mupen64plus-rsp-abi-1,
 mupen64plus-video-abi-1,
Description: plugin-based Nintendo 64 emulator, core library
 Flexible N64 Emulator for Linux that works with many ROMs that are publically
 available. It consists of separate components to provide an user interface,
 audio and graphics output, controller input, co-processor emulation and an
 emulator core.
 .
 It has the following features:
  * cheat system
  * exchangeable plugins for graphics, sound and input emulation
  * multiple save states
  * common configuration system for all components
 .
 This package contains the actual emulator which must be loaded by a frontend.

Package: libmupen64plus2-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 libmupen64plus2 (= ${binary:Version}),
Description: mupen64plus debug symbols package
 Flexible N64 Emulator for Linux that works with many ROMs that are publically
 available. It consists of separate components to provide an user interface,
 audio and graphics output, controller input, co-processor emulation and an
 emulator core.
 .
 This package contains the debug files.

Package: libmupen64plus-dev
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
Description: mupen64plus development package
 Flexible N64 Emulator for Linux that works with many ROMs that are publically
 available. It consists of separate components to provide an user interface,
 audio and graphics output, controller input, co-processor emulation and an
 emulator core.
 .
 This package contains everything which is needed to build plugins or frontends
 against the mupen64plus API.
