## mupen64plus-core 1.99.4+99+7f1880795b02

=== debian/changelog ===
mupen64plus-core (1.99.4+99+7f1880795b02-2) experimental; urgency=low

  * Fix freetype initialization in debian/patches/dejavu-font.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 13 Nov 2011 09:42:34 +0100

mupen64plus-core (1.99.4+99+7f1880795b02-1) experimental; urgency=low

  * New upstream snapshot from revision 7f1880795b0235062a466c973d76333d258c2241
  * debian/patches:
    - Rebase dejavu-font.patch and printf_fixup.patch on top of
      1.99.4+99+7f1880795b02
    - Remove upstream merged double_percentage.patch, new_minizip.patch and
      savestatepath_config.patch
    - Remove ftgl_fontrendering.patch which was rejected by upstream
  * Remove unnecessary --as-needed from linker flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sun, 13 Nov 2011 01:46:58 +0100

mupen64plus-core (1.99.4+77+8bb0e6b3ae3a-1) experimental; urgency=low

  * New upstream snapshot from revision 8bb0e6b3ae3a4020c12e601cfddf028fbb44a6ea
  * debian/control:
    - Depend on mupen64plus-*-abi-2
  * Don't mix implicit and explicit rules to prevent FTBFS with make 3.82
  * debian/patches:
    - Remove upstream merged patches: allocate_mmap.patch, api_header.patch,
      big_endian_conflict.patch, conflicting_symbol.patch,
      info_configuration_failure.patch, interpreter_fpu_modes.patch,
      interpreter_rw_memory.patch, mipmapping_doc.patch,
      n64_cic_nus_6105.patch, n64_romswap.patch, osd_memory_corruption.patch,
      privilege_segfault.patch, rewrite_makefile.patch, rjump_globber.patch,
      rtc.patch
    - Rebase dejavu-font.patch and printf_fixup.patch against
      1.99.4+77+8bb0e6b3ae3a
  * Add new files to debian/copyright
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:05:24 +0200
