=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  binutils-dev,
  debhelper (>= 8.1.3),
  dpkg-dev (>= 1.16.0),
- libftgl-dev,
+ libfreetype6-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
  libpng12-dev | libpng-dev,
@@ -33,11 +33,11 @@
 Breaks: mupen64plus (<< 1.99.1)
 Replaces: mupen64plus (<< 1.99.1)
 Provides:
- mupen64plus-audio-abi-1,
- mupen64plus-core-abi-1,
- mupen64plus-input-abi-1,
- mupen64plus-rsp-abi-1,
- mupen64plus-video-abi-1,
+ mupen64plus-audio-abi-2,
+ mupen64plus-core-abi-2,
+ mupen64plus-input-abi-2,
+ mupen64plus-rsp-abi-2,
+ mupen64plus-video-abi-2,
 Description: plugin-based Nintendo 64 emulator, core library
  Flexible N64 Emulator for Linux that works with many ROMs that are publically
  available. It consists of separate components to provide an user interface,
