## mupen64plus-core 1.99.5

=== projects/unix/Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 endif
 ifeq ("$(UNAME)","OpenBSD")
   OS = FREEBSD
+  CFLAGS += -DUSE_FILE32API
   $(warning OS type "$(UNAME)" not officially supported.')
 endif
 ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
