=== debian/changelog ===
mupen64plus-core (1.99.5-6) unstable; urgency=low

  * debian/patches:
    - Add unused_bdslot.patch, Remove unused variable bdslot
    - Add printf_function_pointer.patch, Print function pointer using %p instead
      of %x
    - Add gcc_lto.patch, Enable support for link-time optimization

 -- Sven Eckelmann <sven@narfation.org>  Sat, 09 Jun 2012 00:36:43 +0200

mupen64plus-core (1.99.5-5) unstable; urgency=low

  * debian/patches:
    - Add debugger_api.patch, Move breakpoint typedef and BPT_* macros to api
      headers
    - Add disable_recompiler_disassembler.patch, Disable the disassembler of the
      recompiled code
  * Enable debugger interface of the core

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 May 2012 14:19:15 +0200

mupen64plus-core (1.99.5-4) unstable; urgency=low

  * debian/patches:
    - Add rjump_gcc47.patch, Fix name of PIC thunks with gcc 4.7
      (Closes: #672991)

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 May 2012 23:07:14 +0200

mupen64plus-core (1.99.5-3) unstable; urgency=low

  * Add mupen64plus-data binary package for the rom catalog and cheat database 
  * Install architecture independent files into /usr/share/games/mupen64plus

 -- Sven Eckelmann <sven@narfation.org>  Tue, 01 May 2012 11:04:30 +0200

mupen64plus-core (1.99.5-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

  [ Sven Eckelmann ]
  * debian/patches:
    - Add floatingpoint_config.patch, Support locales with commas instead of
      periods for decimal separator
    - Add debugger_memory_breakpoints.patch, Fix off-by-one error of memory in
      memory debugger

 -- Sven Eckelmann <sven@narfation.org>  Sat, 28 Apr 2012 14:49:16 +0200

mupen64plus-core (1.99.5-1) unstable; urgency=low

  * New Upstream Version
  * Enable all hardening flags in debian/rules
  * Upgrade debhelper compat to v9
  * debian/patches:
    - Rebase dejavu-font.patch and printf_fixup.patch on top of 1.99.5
  * debian/control:
    - Update ABI versions
    - Upgraded to policy 3.9.3, no changes required
  * Update debian/copyright
  * Use buildflags.mk to set security flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:18:35 +0100

mupen64plus-core (1.99.4-5) unstable; urgency=low

  * Update copyright years in debian/copyright
  * Change dependency libpng12-dev to new name libpng-dev (Closes: #662439)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 05 Mar 2012 09:34:19 +0100
