=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-core.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-core.git
 Build-Depends:
- binutils-dev,
- debhelper (>= 8.1.3),
- dpkg-dev (>= 1.16.0),
+ debhelper (>= 9),
+ dpkg-dev (>= 1.16.1.1),
  libfreetype6-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
- libpng12-dev | libpng-dev,
+ libpng-dev,
  libsdl1.2-dev | libsdl-dev,
  pkg-config,
  zlib1g-dev | libz-dev,
@@ -29,15 +28,17 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ mupen64plus-data,
  ttf-dejavu-core,
-Breaks: mupen64plus (<< 1.99.1)
-Replaces: mupen64plus (<< 1.99.1)
 Provides:
  mupen64plus-audio-abi-2,
- mupen64plus-core-abi-2,
+ mupen64plus-config-abi-2.2,
+ mupen64plus-debug-abi-2,
+ mupen64plus-frontend-abi-2.0.1,
+ mupen64plus-gfx-abi-2.1,
  mupen64plus-input-abi-2,
  mupen64plus-rsp-abi-2,
- mupen64plus-video-abi-2,
+ mupen64plus-vidext-abi-2,
 Description: plugin-based Nintendo 64 emulator, core library
  Flexible N64 Emulator for Linux that works with many ROMs that are publically
  available. It consists of separate components to provide an user interface,
@@ -83,3 +84,28 @@
  .
  This package contains everything which is needed to build plugins or frontends
  against the mupen64plus API.
+
+Package: mupen64plus-data
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Breaks:
+ mupen64plus (<< 1.99.1),
+ libmupen64plus2 (<< 1.99.5-3),
+Replaces:
+ mupen64plus (<< 1.99.1),
+ libmupen64plus2 (<< 1.99.5-3),
+Description: plugin-based Nintendo 64 emulator, data files
+ Flexible N64 Emulator for Linux that works with many ROMs that are publically
+ available. It consists of separate components to provide an user interface,
+ audio and graphics output, controller input, co-processor emulation and an
+ emulator core.
+ .
+ It has the following features:
+  * cheat system
+  * exchangeable plugins for graphics, sound and input emulation
+  * multiple save states
+  * common configuration system for all components
+ .
+ This package contains the rom catalog and cheat database.
