=== debian/watch ===
version=3

http://bitbucket.org/richard42/mupen64plus-core/downloads/ \
	/richard42/mupen64plus-core/downloads/mupen64plus-core-src-(.*)-norom.tar.gz
